package javacomp.prototype.application6;

import javacomp.prototype.application5.Counter;
import javacomp.prototype.framework.Start;
import javacomp.prototype.framework.Stop;

public class CounterClient
{
    @Start
    public void start()
    {
        System.out.println("CounterClient.start");
        Counter c = new Counter(1000);
        System.out.println("counter = " + c.increment());
    }
    
    @Stop
    public void stop()
    {
        System.out.println("CounterClient.stop");
    }
}