package javacomp.eclipse.plugin3;

import javacomp.eclipse.plugin1.Function;

public class IncrementFunction implements Function
{
    public IncrementFunction()
    {
        System.out.println("<<<Increment>>>");
    }
    
    public int compute(int x, int[] params)
    {
        if(params.length > 1)
        {
            throw new IllegalArgumentException("increment has more than one additional parameter");
        }
        if(params.length == 1)
        {
            return x + params[0];
        }
        return x+1;
    }
}