package javacomp.eclipse.plugin5;

import javacomp.eclipse.plugin1.Function;

public class MultiplyAddFunction implements Function
{
    public MultiplyAddFunction()
    {
        System.out.println("<<<MultiplyAdd>>>");
    }

    public int compute(int x, int[] params)
	{
        if(params.length != 2)
        {
            throw new IllegalArgumentException("multiply_add needs two additional parameters");
        }
        int result = x * params[0] + params[1];
		return result;
	}
}