package javacomp.servlets.application1;

import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.*;

@WebServlet(value={"/hello", "/hallo"}, loadOnStartup=1)
public class HelloServlet extends HttpServlet
{
    private static final long serialVersionUID = 7968546825609574805L;

    public void init() throws ServletException
    {        
        System.out.println("HelloServlet.init()");
    }

    public void init(ServletConfig config) throws ServletException
    {        
        System.out.println("HelloServlet.init(ServletConfig)");
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Hallo</title>");
        out.println("</head>");
        out.println("<body>");
        double random = Math.random();
        if(random < 0.25)
        {
            out.println("<h1>Hallo Welt!</h1>");
        }
        else if(random < 0.5)
        {
            out.println("<h1>Hallo Sonne!</h1>");
        }
        else if(random < 0.75)
        {
            out.println("<h1>Hallo Mond!</h1>");
        }
        else
        {
            out.println("<h1>Hallo Mars!</h1>");
        }
        out.println("</body>");
        out.println("</html>");
    }
}
