package javacomp.ejb.counter.server;

import javax.annotation.*;
import javax.ejb.*;

@Singleton(mappedName="SingletonCounter")
public class SingletonCounterImpl implements Counter
{
	private int counter;

	public int increment()
	{
		counter++;
		return counter;
	}

	public int reset()
	{
		counter = 0;
		return counter;
	}
	
	@Remove
	public void bye()
	{
	}
	
    @PostConstruct
    public void constructor()
    {
        System.out.println("created: " + getClass().getName());
    }
	
    @PreDestroy
    public void destructor()
    {
        System.out.println("will be removed: " + getClass().getName());
    }
}
