package javacomp.ejb.counterprovider.server;

import javax.annotation.*;
import javax.ejb.*;

@Singleton(mappedName="CounterProvider")
public class CounterProviderImpl implements CounterProvider, CounterProviderRemote
{
	private Counter counter;
	
	public Counter getCounter()
	{
		return counter;
	}

	@PostConstruct
	public void init()
	{
		counter = new Counter();
	}
}
