package javacomp.ejb.hello.server;

import javacomp.ejb.counterprovider.server.*;
import javax.annotation.PostConstruct;
import javax.ejb.*;

@Stateless(mappedName="Hello")
public class HelloImpl implements Hello 
{
	@EJB
	private CounterProvider cp;
	private Counter counter;
	
    @Override
    public String sayHello(String name)
    {
        return "Hallo " + name + " (Aufruf Nr. " + counter.increment() + ")";
    }

    @PostConstruct
    public void init()
    {
        counter = cp.getCounter();
    }
}
