package javacomp.spring.annoaop;

import javacomp.spring.hello.Hello;

import org.springframework.context.*;
import org.springframework.context.support.*;


public class AopApp
{
    public static void main(String[] args) throws Exception
    {
        ApplicationContext context =
            new ClassPathXmlApplicationContext("javacomp/spring/annoaop/aop.xml");
                
        if(args.length == 0)
        {
            Hello hello = context.getBean("hello", Hello.class);
            hello.sayGreeting("Welt");
        }
        else
        {
            for(String arg: args)
            {
                Hello hello = context.getBean("hello", Hello.class);
                hello.sayGreeting(arg);
            }
        }
    }
}
