package javacomp.spring.aop;

import java.lang.reflect.*;
import org.springframework.aop.*;

public class LoggingBeforeAdvice implements MethodBeforeAdvice
{
    private static LoggingBeforeAdvice obj;
    public void before(Method m, Object[] args, Object target)
        throws Throwable
    {
        if(obj == null)
        {
            obj = this;
        }
        else if(obj != this)
        {
            System.out.println("das darf nicht sein!!!!!");
        }
        else
        {
            System.out.println("gut: dasselbe Handler-Objekt");
        }
        
        String message =
            "Aufruf von " + target.getClass().getName() +
            "." + m.getName() + "(";
        for(int i = 0; i < args.length; i++)
        {
            message += args[i];
            if(i < args.length - 1)
            {
                message += ", ";
            }
        }
        message += ")";
        System.out.println("vor " + message);
    }
}
