package javacomp.eventbus.match;

import org.rribbit.Listener;
import org.rribbit.RRB;

public class SomeClass
{
    private int increment()
    {
        return RRB.get().send("increment");
    }

    @Listener
    public void m(String s)
    {
        System.out.println("m(String) - " + increment());
    }

    @Listener
    public void m(int i, String s)
    {
        System.out.println("m(int,String) - " + increment());
    }

    @Listener
    public void m(String s, int i)
    {
        System.out.println("m(String,int) - " + increment());
    }

    @Listener(hint="m1")
    public void m1(int i)
    {
        System.out.println("m1(int) - Beginn");
        System.out.println("m1(int) - Ende - " + increment());
    }

    @Listener(hint="m2")
    public int m2(int i)
    {
        System.out.println("m2(int) - Beginn");
        System.out.println("m2(int) - Ende - " + increment());
        return 0;
    }
    
    @Listener(hint="m3")
    public void m3()
    {
        System.out.println("m3() - " + increment());
    }
}
