package javacomp.android.activities;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class Activity1 extends Activity
{
    public static final String ACTION = "javacomp.android.activities.ACTION";
    public static final String MESSAGE = "javacomp.android.activities.MESSAGE";
    private static final int REQUEST_CODE = 1;
    
    /*
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);

        TextView tv1 = new TextView(this);
        tv1.setText("Eingabe:");
        EditText editText = new EditText(this);
        Button b = new Button(this);
        b.setText("Absenden");
        TextView tv2 = new TextView(this);
        Listener l = new Listener(editText, tv2);
        b.setOnClickListener(l);

        LinearLayout ll = new LinearLayout(this);
        ll.setOrientation(LinearLayout.VERTICAL);
        ll.addView(tv1);
        ll.addView(editText);
        ll.addView(b);
        ll.addView(tv2);
        setContentView(ll);
    }
    */

    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        /*
        EditText editText = (EditText) findViewById(R.id.input);
        TextView textView = (TextView) findViewById(R.id.output);
        Listener l = new Listener(editText, textView);
        Button b = (Button) findViewById(R.id.button);
        b.setOnClickListener(l);
        */
    }

    public void clicked(View view)
    {
        EditText editText = (EditText) findViewById(R.id.input); 
        String input = editText.getText().toString();
        //Intent intent = new Intent(this, Activity2.class);
        Intent intent = new Intent(ACTION);
        intent.putExtra(MESSAGE, input);
        //startActivity(intent);
        startActivityForResult(intent, REQUEST_CODE);
    }
    
    protected void onActivityResult(int requestCode, int resultCode, Intent intent)
    {
        TextView textView = (TextView) findViewById(R.id.output);
        if(resultCode == RESULT_OK && requestCode == REQUEST_CODE)
        {
            String message = intent.getStringExtra(MESSAGE);
            String prefix = getString(R.string.returnSuccessMessage);
            textView.setText(prefix + " " + message);
        }
        else
        {
            textView.setText(R.string.returnFailureMessage);
        }
    }
}

/*
class Listener implements View.OnClickListener
{
    private EditText editText;
    private TextView tv;

    public Listener(EditText editText, TextView tv)
    {
        this.editText = editText;
        this.tv = tv;
    }

    public void onClick(View v)
    {
        String input = editText.getText().toString();
        tv.setText(input);
    }
}
*/