package javacomp.android.activities;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class Activity2 extends Activity
{
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity2);
        Intent intent = getIntent();
        String message = intent.getStringExtra(Activity1.MESSAGE);
        TextView textView = (TextView) findViewById(R.id.msglabel);
        if(message != null)
        {
            textView.setText(R.string.receiveSuccessMessage);
            EditText editText = (EditText) findViewById(R.id.inoutput);
            editText.setText(message);
        }
        else
        {
            textView.setText(R.string.receiveFailureMessage);
        }
    }

    public void clicked(View view)
    {
        EditText editText = (EditText) findViewById(R.id.inoutput); 
        String input = editText.getText().toString();
        Intent intent = getIntent();
        intent.putExtra(Activity1.MESSAGE, input);
        setResult(RESULT_OK, intent);
        finish();
    }
}
