package javacomp.android.unboundservice;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;

public class ActivityForUnboundService extends Activity
{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }

    public void clickedOnStart(View v)
    {
        Log.d(this.getClass().getName(), "starting service (" + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
        startService(new Intent(this, MyUnboundService.class));
    }

    public void clickedOnStop(View v)
    {
        Log.d(this.getClass().getName(), "stopping service (" + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
        stopService(new Intent(this, MyUnboundService.class));
    }
}