package javacomp.android.bindservice1;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

public class MyService extends Service
{
	private static int instanceCounter = 0;
	
	private int number;
 
	public MyService()
	{
    	instanceCounter++;
    	number = instanceCounter;
	}
	
	public void onCreate()
	{
		//Toast.makeText(this, "My Service Created", Toast.LENGTH_LONG).show();
		Log.d(this.getClass().getName(), "onCreate (" + number + " / " + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
	}
	
	public IBinder onBind(Intent intent)
	{
		Log.d(this.getClass().getName(), "onBind (" + number + " / " + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
		return new CounterImpl();
	}

	public void onDestroy()
	{
		//Toast.makeText(this, "My Service Stopped", Toast.LENGTH_LONG).show();
		Log.d(this.getClass().getName(), "onDestroy (" + number + " / " + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
	}
}
