package javacomp.basics;

import java.io.*;
import java.net.*;

public class HotDeployment
{
    public static void main(String[] args)
    {
        while(true)
        {
            try
            {
                URL url = new File("hotdeployment/").toURI().toURL();
                URLClassLoader cl = new URLClassLoader(new URL[]{url});
                Class<?> newClassVersion = cl.loadClass("javacomp.basics.HotDeploymentClass1");
                HotDeploymentInterface deployedObject = (HotDeploymentInterface) newClassVersion.newInstance();
                deployedObject.call();
                Thread.sleep(30000);
            }
            catch(Exception e)
            {
                System.err.println(e);
            }
        }
    }
}
