package javacomp.prototype.application4;

import javacomp.prototype.application2.Counter;
import javacomp.prototype.framework.ComponentContext;
import javacomp.prototype.framework.Start;

public class AnotherCounterClient
{
    @Start
    public void start(ComponentContext ctx)
    {
        System.out.println("AnotherCounterClient.start(ComponentContext)");
        Counter c1 = (Counter)ctx.lookup("Counter1");
        if(c1 != null)
        {
            System.out.println("AnotherCounterClient: " +
                               c1.increment());
        }
        Counter c2 = (Counter)ctx.lookup("Counter2");
        if(c2 != null)
        {
            System.out.println("AnotherCounterClient: " +
                               c2.increment());
        }
    }
}
