package javacomp.osgi.bundle1;

import org.osgi.framework.*;
import javacomp.osgi.bundle0.Counter;

public class CounterServiceActivator implements BundleActivator
{
    public void start(BundleContext context) throws Exception
    {
        System.out.println("CounterServiceActivator.start");
        context.registerService(Counter.class,
                                new CounterImpl(),
                                null); //new Hashtable<String,String>());
    }

    public void stop(BundleContext context) throws Exception
    {
        System.out.println("CounterServiceActivator.stop");
    }
}
