package javacomp.osgi.bundle4;

import javacomp.osgi.bundle0.Counter;
import org.osgi.service.component.ComponentContext;

public class CounterImpl implements Counter
{
    private static final int INCREMENT = 1;
    private static final String VERSION = "version " + INCREMENT;
    
    private int counter;

    public int reset()
    {
        counter = 0;
        return counter;
    }

    public int increment()
    {
        counter += INCREMENT;
        return counter;
    }

    public String version()
    {
        return VERSION;
    }

    protected void activate(ComponentContext cc)
    {
        System.out.println(getClass().getName() + ".activate");
    }

    protected void passivate(ComponentContext cc)
    {
        System.out.println(getClass().getName() + ".passivate");
    }
}
