package javacomp.eclipse.plugin1;

import org.eclipse.swt.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;

public class FunctionsUserInterface
{
    private Composite parent;
    private Text result;

    public FunctionsUserInterface(Composite parent)
    {
        this.parent = parent;

        GridLayout grid = new GridLayout(1, false);
        parent.setLayout(grid);

        Composite counterDisplay = new Composite(parent, SWT.NONE);
        RowLayout rowLayout = new RowLayout();
        counterDisplay.setLayout(rowLayout);

        Label h = new Label(counterDisplay, SWT.NONE);
        h.setText("Zhler: ");

        result = new Text(counterDisplay, SWT.NONE);
        result.setText("0           ");
        result.setEditable(false);
    }

    public void addFunction(String functionName, Function function, String parameters, Counter counter)
    {
        //new GridRow(parent, result, functionName, function, counter);
        new FunctionRowWithParams(parent, result, functionName, function, parameters, counter);
    }
}
