package javacomp.ejb.counterprovider.client;

import java.util.Properties;
import javacomp.ejb.counterprovider.server.*;
import javax.naming.*;

public class CounterProviderClient
{
    public static void main(String[] args) throws Exception
    {
    	Properties properties = new Properties();
        properties.put(Context.INITIAL_CONTEXT_FACTORY,
                       "org.jnp.interfaces.NamingContextFactory");
        properties.put(Context.PROVIDER_URL,
                       "localhost:1099");
        Context context = new InitialContext(/*properties*/);

        CounterProviderRemote cp = (CounterProviderRemote)context.lookup("CounterProvider");
        int oldValue = -1;
        while(true)
        {
            Counter counter = cp.getCounter();
            int newValue = counter.get();
            if(newValue!=oldValue)
            {
                System.out.println(""+newValue);
                oldValue=newValue;
            }
        }
    }
}