package javacomp.ejb.hello.client;

import java.util.Properties;
import javacomp.ejb.hello.server.*;
import javax.naming.*;

public class HelloClient
{
    public static void main(String[] args) throws Exception
    {
        Properties properties = new Properties();
        properties.put(Context.INITIAL_CONTEXT_FACTORY,
                       "org.jnp.interfaces.NamingContextFactory");
        properties.put(Context.PROVIDER_URL,
                       "localhost:1099");
        Context context = new InitialContext(/*properties*/);
        Hello world = (Hello)context.lookup("Hello");
        if(args.length > 0)
        {
        	for(String name : args)
        	{
                System.out.println(world.sayHello(name));
        	}
        }
        else
        {
            System.out.println(world.sayHello("Welt"));
        }
    }
}