package javacomp.spring.counter;

import org.springframework.context.*;
import org.springframework.context.support.*;

public class CounterApp
{
    public static void main(String[] args) throws Exception
    {
        ApplicationContext context =
            new ClassPathXmlApplicationContext("javacomp/spring/counter/counter.xml");
        
        
        //Counter counter = (Counter)context.getBean("counter");
        Counter counter = context.getBean("counter", Counter.class);
        for(int i = 0; i < 10; i++)
        {
            counter.increment();
        }
        System.out.println("counter = " + counter.get());

        /*
        context =
            new ClassPathXmlApplicationContext("javacomp/spring/counter/counter.xml");
        */
        counter = context.getBean("counter", Counter.class);
        System.out.println("counter = " + counter.get());
    }
}
