package javacomp.spring.hello;

import org.springframework.beans.factory.annotation.Autowired;
import javacomp.spring.counter.Counter;

public class Hello
{
    private String greeting;
    private Counter counter;

    public Hello()
    {
    }
    
    public Hello(String greeting)
    {
        this.greeting = greeting;
    }

    public void sayGreeting(String name)
    {
        counter.increment();
        System.out.println(greeting + " " + name + " (" +
                           counter.get() + ")");
    }

    public void setGreeting(String greeting)
    {
        this.greeting = greeting;
    }        

    @Autowired
    public void setCounter(Counter counter)
    {
        this.counter = counter;
    }
}
