package javacomp.eventbus.match;

import javacomp.eventbus.counter.Counter;

import org.rribbit.*;
import org.rribbit.creation.*;

public class MatchApp
{
    public static void main(String[] args) throws Exception
    {
        ListenerObjectCreator creator =
            new InstantiatingClassBasedListenerObjectCreator(SomeClass.class,
                                                             Counter.class);
        RequestResponseBus bus =
            RRiBbitUtil.createRequestResponseBusForLocalUse(creator, true);
        bus.sendForNothing("hallo");
        bus.sendForNothing(1, "hallo");
        bus.sendForNothing("hallo", 2);
        System.out.println("----------------------");
        bus.sendForNothing(1);
        System.out.println("----------------------");
        bus.sendForSingleOfClass(void.class, 2);
        System.out.println("----------------------");
        bus.sendForSingleWithHint("m2", 3);
        System.out.println("----------------------");
        bus.sendForSingleOfClassWithHint(void.class, "m1", 4);
        System.out.println("----------------------");
        bus.sendForSingleOfClassWithHint(int.class, "m1", 5);
        System.out.println("----------------------");
        //bus.sendForNothing();
        //oder
        bus.sendForSingleWithHint("m3");
        System.out.println("----------------------");
        bus.sendForNothing("servus");
        System.out.println("----------------------");
    }
}
