package javacomp.android.bindservice1;

import android.os.Parcel;
import android.os.Parcelable;

public class Data implements Parcelable
{
	private int factor;
	private int addend;
	private int result;
	
	public Data(int factor, int addend)
	{
		this.factor = factor;
		this.addend = addend;
	}
	
	private Data(Parcel in)
	{
		readFromParcel(in);
	}

	public int getFactor() 
	{
		return factor;
	}

	public int getAddend()
	{
		return addend;
	}

	public int getResult()
	{
		return result;
	}

	public void setResult(int result)
	{
		this.result = result;
	}

	public int describeContents()
	{
		return 0;
	}

	public void writeToParcel(Parcel out, int flags)
	{
		out.writeInt(factor);
		out.writeInt(addend);
		out.writeInt(result);
	}

    public static final Parcelable.Creator<Data> CREATOR
            = new Parcelable.Creator<Data>()
    {
        public Data createFromParcel(Parcel in) 
        {
            return new Data(in);
        }

        public Data[] newArray(int size)
        {
            return new Data[size];
        }
    };
    
    public void readFromParcel(Parcel in)
    {
    	factor = in.readInt();
    	addend = in.readInt();
    	result = in.readInt();
    }
}
