package javacomp.android.service1;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.util.Log;

public class ServiceActivity extends Activity
{
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }

	public void startService(View v)
	{
        Log.d(this.getClass().getName(), "starting service (" + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
        startService(new Intent(this, MyService.class));
	}

	public void stopService(View v)
	{
        Log.d(this.getClass().getName(), "stopping service (" + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
        stopService(new Intent(this, MyService.class));
	}
}