package javacomp.android.service2;

import javacomp.android.service2.R;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.util.Log;

public class ServiceActivity extends Activity
{
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }

	public void startService(View v)
	{
        Log.d(this.getClass().getName(), "starting service (" + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
        Intent newIntent = new Intent("de.fh_trier.example.SERVICE");
        startService(newIntent);
	}

	public void stopService(View v)
	{
        Log.d(this.getClass().getName(), "stopping service (" + android.os.Process.myPid() + "-" + Thread.currentThread().getName() + ")");
        Intent newIntent = new Intent("de.fh_trier.example.SERVICE");
        stopService(newIntent);
	}
}